<?php

namespace App\Http\Controllers\Shop;

use App\Http\Controllers\Controller;
use App\Services\LegalService;
use Inertia\Inertia;
use Inertia\Response;

class AboutController extends Controller
{
    public function __invoke(LegalService $legalService): Response
    {
        return Inertia::render('App/About/Index', [
            'legal' => $legalService->get(),
        ]);
    }
}
